% This function is used to get location of each anatomical region in
% fsaverage4, and eliminate lower temporal regions for each frame bold data.
% By Yuxiang Yan, August 22, 2017

Path = '/autofs/space/bidlin7_001/users/GAN/ADXuanWu/Recon/fsaverage4';

File_path = '/autofs/space/bidlin7_001/users/GAN/GSP/Images/mgh_files/GSP_lh_Test20_Eliminated_Frontal';
list = textread('/autofs/space/bidlin7_001/users/GAN/GSP/Lists/list_train_and_test.txt','%s');
test_subject = 81:100;
hemispheres = {'lh'};
bold_sessions = {'013','014'};
frames = 1:120;

% elininated_region = '';

eliminating_regions = [3 15 27 29];



% --- No change below ---

[~,annotation_file,colormap] = read_annotation([Path '/label/lh.aparc.annot']);

for n = 1:2562
    color_value = annotation_file(n);
    annotation_file(n,2) = find(colormap.table(:,5) == color_value);
end

annotation_file(:,3) = ones(n,1);

for m = eliminating_regions
    annotation_file(annotation_file(:,2) == m,3) = 0;
end

% save annotation_file


for n = test_subject
    subject = list{(n-1)*2+1}
    for h = 1:length(hemispheres)
        hemi = hemispheres{h};
        for b = 1:length(bold_sessions)
            bold = bold_sessions{b};
            for frame = frames
                mgh_file = load_mgh([File_path '/Test20_' num2str(n) '_' subject '_' hemi '_' bold '_' num2str(frame) '.mgh']);
                mgh_file_elinimated = mgh_file.*annotation_file(:,3);
                save_mgh(mgh_file_elinimated, [File_path '/Test20_' num2str(n) '_' subject '_' hemi '_' bold '_' num2str(frame) '.mgh'] ,eye(4));
            end
        end
    end
end
